View Issue Details

IDProjectCategoryView StatusLast Update
00305652.x IDE BugsCode EditorPublic2019-05-14 12:31
ReporterDanAssigned ToRussell Kay 
PriorityLowSeverityD - MinorReproducibility100%
Status ClosedResolutionFixed 
Platform-OSWindows 10OS VersionPro x64
Product Version2.2.2 
Target VersionFixed in Version2.2.2 
Summary0030565: Code Editor: "Internal" functions array_get() and array_set() should be added to autocomplete
DescriptionWithin the Code Editor, the "internal" functions array_get() and array_set() should be added to autocomplete so users can see they exist and why they can't name a script "array_get". These two functions are what the array[ @ ] accessor uses.

If you type these in a script, then the compiler will accept them and the functions do work in-game. They're simply not highlighted as legit functions.
TagsIDE
2.x IDE Found In2.2.1.375
2.x Runtime Found In2.2.1.287
2.x IDE Verified In9.2.1.1816
2.x Runtime Verified In9.9.1.1440

Activities

Dan

2019-02-25 17:42

Adminstrator  

Russell Kay

2019-02-26 11:23

Manager   ~0063337

Added to fnames - will need documentation updated though..

Mark Alexander

2019-03-08 12:19

Developer   ~0063456

Fixed.